diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
index ecc5f45beeaebd92a2e99721d0212b1380ae2bc4..256c01010a3c8c2228bfedcdf7ed5356bc5878f6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
@@ -252,7 +252,7 @@ public class CMSRequest {
     }
 
     // policy errors; set on rejection or possibly deferral. 
-    public Vector getPolicyMessages() {
+    public Vector<String> getPolicyMessages() {
         if (mRequest != null) {
             return mRequest.getExtDataInStringVector(IRequest.ERRORS);
         }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
index 50feb08639db00f8e6281499b1597d15cc44187a..317bddbcdce1c754aafee726b956a46a8d88aaf8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
@@ -155,7 +155,6 @@ public class CMSTemplate extends CMSFile {
         Enumeration<String> e = null;
         Enumeration<IArgBlock> q = null;
         IArgBlock r = null;
-        boolean headerBlock = false, fixedBlock = false, queryBlock = false;
         CMSTemplateParams data = (CMSTemplateParams) input;
         HTTPOutputStreamWriter http_out = null;
 
@@ -191,7 +190,6 @@ public class CMSTemplate extends CMSFile {
             if (r != null) {
                 e = r.elements();
                 while (e.hasMoreElements()) {
-                    headerBlock = true;
                     String n = e.nextElement();
                     Object v = r.getValue(n);
 
@@ -204,7 +202,6 @@ public class CMSTemplate extends CMSFile {
             if (r != null) {
                 e = r.elements();
                 while (e.hasMoreElements()) {
-                    fixedBlock = true;
                     String n = e.nextElement();
                     Object v = r.getValue(n);
 
@@ -215,7 +212,6 @@ public class CMSTemplate extends CMSFile {
             // Output the query data
             q = data.queryRecords();
             if (q != null && q.hasMoreElements()) {
-                queryBlock = true;
                 out.println("var recordCount = 0;");
                 out.println("var record;");
                 while (q.hasMoreElements()) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/connector/CloneServlet.java b/pki/base/common/src/com/netscape/cms/servlet/connector/CloneServlet.java
index 7defeeac9defeb010cddd83a0aa08871554c7feb..f9085a5bcc5448cc63b8c46da6918ada63144dc7 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/connector/CloneServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/connector/CloneServlet.java
@@ -27,7 +27,6 @@ import java.security.cert.CertificateException;
 import java.security.cert.X509Certificate;
 
 import javax.servlet.ServletConfig;
-import javax.servlet.ServletContext;
 import javax.servlet.ServletException;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
@@ -100,8 +99,6 @@ public class CloneServlet extends CMSServlet {
             throw new IOException(
                     "CMS server is not ready to serve.");
 
-        ServletContext servletContext = mConfig.getServletContext();
-
         CMSRequest cmsRequest = newCMSRequest();
 
         // set argblock
@@ -125,8 +122,6 @@ public class CloneServlet extends CMSServlet {
         int len = -1;
         IPKIMessage msg = null;
         IPKIMessage replymsg = null;
-        IRequest r = null;
-        IRequest reply = null;
 
         // NOTE must read all bufer before redoing handshake for 
         // ssl client auth for client auth to work.
@@ -310,7 +305,6 @@ public class CloneServlet extends CMSServlet {
             String source, String sourceUserId, IPKIMessage msg, IAuthToken token)
             throws EBaseException {
         IPKIMessage replymsg = null;
-        IRequest r = null;
         IRequestQueue queue = mAuthority.getRequestQueue();
         String srcid = source + ":" + msg.getReqId();
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java b/pki/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
index 4f708f78928117333d6cbfdd9aaa00aaddcddbd0..e8d4f898fcb74876ebbe71d6a3ce5f242bf743aa 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
@@ -31,7 +31,6 @@ import java.security.cert.X509Certificate;
 import java.util.Enumeration;
 
 import javax.servlet.ServletConfig;
-import javax.servlet.ServletContext;
 import javax.servlet.ServletException;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
@@ -135,8 +134,6 @@ public class ConnectorServlet extends CMSServlet {
         HttpServletRequest req = (HttpServletRequest) request;
         HttpServletResponse resp = (HttpServletResponse) response;
 
-        ServletContext servletContext = mConfig.getServletContext();
-
         CMSRequest cmsRequest = newCMSRequest();
 
         // set argblock
@@ -160,8 +157,6 @@ public class ConnectorServlet extends CMSServlet {
         int len = -1;
         IPKIMessage msg = null;
         IPKIMessage replymsg = null;
-        IRequest r = null;
-        IRequest reply = null;
 
         // NOTE must read all bufer before redoing handshake for 
         // ssl client auth for client auth to work.
@@ -462,7 +457,6 @@ public class ConnectorServlet extends CMSServlet {
         IPKIMessage replymsg = null;
 
         try {
-            IRequest r = null;
             IRequestQueue queue = mAuthority.getRequestQueue();
             String srcid = source + ":" + msg.getReqId();
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java b/pki/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
index 0a4ea589e3164008e6bc83430d3e36faf2329db3..bb787c7ad6146f020589bbc2df2557ea4d7b3aa6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
@@ -31,7 +31,6 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
-import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IPrettyPrintFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
@@ -110,7 +109,6 @@ public class GenerateKeyPairServlet extends CMSServlet {
         IRequestQueue queue = mAuthority.getRequestQueue();
         IRequest thisreq = null;
 
-        IConfigStore sconfig = CMS.getConfigStore();
         boolean missingParam = false;
         String status = "0";
 
@@ -147,8 +145,6 @@ public class GenerateKeyPairServlet extends CMSServlet {
             rArchive = "true";
         }
 
-        String selectedToken = null;
-
         if (!missingParam) {
             thisreq = queue.newRequest(IRequest.NETKEY_KEYGEN_REQUEST);
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/connector/TokenKeyRecoveryServlet.java b/pki/base/common/src/com/netscape/cms/servlet/connector/TokenKeyRecoveryServlet.java
index dfceddd96a802b765587031716c93e83916a9941..337b242592ac1bad068f985c971825ce89e2fa0a 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/connector/TokenKeyRecoveryServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/connector/TokenKeyRecoveryServlet.java
@@ -33,7 +33,6 @@ import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IPrettyPrintFormat;
-import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -179,8 +178,6 @@ public class TokenKeyRecoveryServlet extends CMSServlet {
             missingParam = true;
         }
 
-        String selectedToken = null;
-
         if (!missingParam) {
             thisreq = queue.newRequest(IRequest.NETKEY_KEYRECOVERY_REQUEST);
 
@@ -212,7 +209,6 @@ public class TokenKeyRecoveryServlet extends CMSServlet {
 
         resp.setContentType("text/html");
 
-        String outputString = "";
         String wrappedPrivKeyString = "";
         String publicKeyString = "";
         String ivString = "";
@@ -327,22 +323,4 @@ public class TokenKeyRecoveryServlet extends CMSServlet {
         // end Netkey functions
 
     }
-
-    /**
-     * XXX remember to check peer SSL cert and get RA id later
-     * 
-     * Serves HTTP admin request.
-     * 
-     * @param req HTTP request
-     * @param resp HTTP response
-     */
-    public void service(HttpServletRequest req, HttpServletResponse resp)
-            throws ServletException, IOException {
-        String scope = req.getParameter(Constants.OP_SCOPE);
-        String op = req.getParameter(Constants.OP_TYPE);
-
-        super.service(req, resp);
-
-    }
-
 }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
index b8cc8022e2bc6070c75ecc498c4ab16e6acc69fc..585d444d4f69e0fa66dcadad0b3642c54138fd21 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
@@ -27,8 +27,6 @@ import javax.servlet.http.HttpServletResponse;
 
 import org.apache.velocity.context.Context;
 import org.mozilla.jss.CryptoManager;
-import org.mozilla.jss.crypto.CryptoStore;
-import org.mozilla.jss.crypto.CryptoToken;
 import org.mozilla.jss.crypto.X509Certificate;
 
 import com.netscape.certsrv.apps.CMS;
@@ -310,8 +308,7 @@ public class AdminAuthenticatePanel extends WizardPanelBase {
             while (st.hasMoreTokens()) {
                 String token = st.nextToken();
                 String tokenname = config.getString("preop.module.token", "");
-                CryptoToken tok = cm.getTokenByName(tokenname);
-                CryptoStore store = tok.getCryptoStore();
+                cm.getTokenByName(tokenname); // throw exception on error
                 String name1 = "preop.master." + token + ".nickname";
                 String nickname = config.getString(name1, "");
                 if (!tokenname.equals("Internal Key Storage Token") &&
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
index 4e73b8369f0a94fc7e3a39bac8288cfca4836af5..1f5a3327cc057fa3ff37b6f705391e077091bd0f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
@@ -149,10 +149,8 @@ public class AdminPanel extends WizardPanelBase {
         String info = "";
         context.put("import", "true");
 
-        String subsystemtype = "";
         try {
             type = cs.getString("preop.ca.type", "");
-            subsystemtype = cs.getString("cs.type", "");
         } catch (Exception e) {
         }
 
@@ -254,12 +252,10 @@ public class AdminPanel extends WizardPanelBase {
 
         String type = "";
         String subsystemtype = "";
-        String security_domain_type = "";
         String selected_hierarchy = "";
         try {
             type = config.getString(PRE_CA_TYPE, "");
             subsystemtype = config.getString("cs.type", "");
-            security_domain_type = config.getString("securitydomain.select", "");
             selected_hierarchy = config.getString("preop.hierarchy.select", "");
         } catch (Exception e) {
         }
@@ -277,7 +273,6 @@ public class AdminPanel extends WizardPanelBase {
         String name = HttpInput.getName(request, "name");
 
         CMS.debug("AdminPanel update: email address = " + email);
-        String pwd = HttpInput.getPassword(request, "__pwd");
 
         config.putString("preop.admin.uid", uid);
         config.putString("preop.admin.email", email);
@@ -455,14 +450,6 @@ public class AdminPanel extends WizardPanelBase {
     private void submitRequest(String ca_hostname, int ca_port, HttpServletRequest request,
             HttpServletResponse response, Context context) throws IOException {
         IConfigStore config = CMS.getConfigStore();
-        String sd_hostname = null;
-        int sd_port = -1;
-
-        try {
-            sd_hostname = config.getString("securitydomain.host", "");
-            sd_port = config.getInteger("securitydomain.httpseeport");
-        } catch (Exception e) {
-        }
 
         String profileId = HttpInput.getID(request, "profileId");
         if (profileId == null) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/BaseServlet.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/BaseServlet.java
index f619110fd93202a8dc45404b493c1722ea4865a7..9e800b9cc5ebc43d7b10c9c90f5769c0d1b1988f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/BaseServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/BaseServlet.java
@@ -60,6 +60,7 @@ public class BaseServlet extends VelocityServlet {
 
     public void outputHttpParameters(HttpServletRequest httpReq) {
         CMS.debug("BaseServlet:service() uri = " + httpReq.getRequestURI());
+        @SuppressWarnings("unchecked")
         Enumeration<String> paramNames = httpReq.getParameterNames();
 
         while (paramNames.hasMoreElements()) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CAInfoPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CAInfoPanel.java
index 5da169915d071741bfb83de54218c0e8b2efbac7..827f0ce9265a4dec96a5e3515c2fd6ea331326ca 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CAInfoPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CAInfoPanel.java
@@ -154,7 +154,7 @@ public class CAInfoPanel extends WizardPanelBase {
         */
 
         CMS.debug("CAInfoPanel: Ready to get url");
-        Vector v = getUrlListFromSecurityDomain(cs, cstype, portType);
+        Vector<String> v = getUrlListFromSecurityDomain(cs, cstype, portType);
         v.addElement("External CA");
         StringBuffer list = new StringBuffer();
         int size = v.size();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertPrettyPrintPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertPrettyPrintPanel.java
index 119dead0c57af1eee937e046096b8847a9b1608d..9c4315c056cac80d58c706d6d1b6b98a7a85412e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertPrettyPrintPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertPrettyPrintPanel.java
@@ -39,7 +39,7 @@ import com.netscape.cms.servlet.wizard.WizardServlet;
 import com.netscape.cmsutil.crypto.CryptoUtil;
 
 public class CertPrettyPrintPanel extends WizardPanelBase {
-    private Vector mCerts = null;
+    private Vector<Cert> mCerts = null;
 
     public CertPrettyPrintPanel() {
     }
@@ -124,7 +124,7 @@ public class CertPrettyPrintPanel extends WizardPanelBase {
         context.put("title", "Certificates Pretty Print");
 
         try {
-            mCerts = new Vector();
+            mCerts = new Vector<Cert>();
 
             IConfigStore config = CMS.getConfigStore();
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
index 04ab4dac813b832ab0fa8293ed19b776a2e8e1ef..20ddf9f2d3273672b75bdec25c5b5717ba422a93 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
@@ -145,11 +145,9 @@ public class CertRequestPanel extends WizardPanelBase {
 
     public void cleanUp() throws IOException {
         IConfigStore cs = CMS.getConfigStore();
-        String select = "";
         String list = "";
         String tokenname = "";
         try {
-            select = cs.getString("preop.subsystem.select", "");
             list = cs.getString("preop.cert.list", "");
             tokenname = cs.getString("preop.module.token", "");
         } catch (Exception e) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMLoginPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMLoginPanel.java
index 92e2ee392f717748123d5bd610f5f2d67d07fb6b..e91548d826c11621b01555effb358442186e94ec 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMLoginPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMLoginPanel.java
@@ -32,7 +32,6 @@ import org.mozilla.jss.util.IncorrectPasswordException;
 import org.mozilla.jss.util.Password;
 
 import com.netscape.certsrv.apps.CMS;
-import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.property.Descriptor;
 import com.netscape.certsrv.property.IDescriptor;
 import com.netscape.certsrv.property.PropertySet;
@@ -214,16 +213,6 @@ public class ConfigHSMLoginPanel extends WizardPanelBase {
             HttpServletResponse response,
             Context context) {
 
-        IConfigStore cs = CMS.getConfigStore();
-        String select = "";
-        try {
-            select = cs.getString("preop.subsystem.select", "");
-        } catch (Exception e) {
-        }
-
-        //        if (select.equals("clone"))
-        //           return;
-
         CMS.debug("ConfigHSMLoginPanel: in update()");
 
         String uTokName = null;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMServlet.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMServlet.java
index ba56505427bd5b931596e908b0aa6b90c2335a6a..9eb1462948fcdd666aaf9e1066f15a82c089b44e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMServlet.java
@@ -45,7 +45,7 @@ public class ConfigHSMServlet extends ConfigBaseServlet {
     private static final long serialVersionUID = -330521231753992202L;
     private CryptoManager mCryptoManager = null;
     private Vector<Module> mSupportedModules = null;
-    private Vector mOtherModules = null;
+    private Vector<Module> mOtherModules = null;
     private String mDefaultTok = null;
     private Hashtable<String, PK11Module> mCurrModTable = new Hashtable<String, PK11Module>();
 
@@ -80,7 +80,7 @@ public class ConfigHSMServlet extends ConfigBaseServlet {
     public void loadOtherModules() {
         Enumeration<PK11Module> m = mCurrModTable.elements();
 
-        mOtherModules = new Vector();
+        mOtherModules = new Vector<Module>();
         while (m.hasMoreElements()) {
             PK11Module mod = m.nextElement();
             Enumeration<Module> s = mSupportedModules.elements();
@@ -102,7 +102,7 @@ public class ConfigHSMServlet extends ConfigBaseServlet {
 
                 loadModTokens(module, mod);
                 module.setFound(true);
-                mOtherModules.addElement((Object) module);
+                mOtherModules.addElement(module);
                 break;
             }
         }// while
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigRootCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigRootCAServlet.java
index 44046fdcd2c1dea4063f7b09e5c6b94e0b9143d9..c9618db19b104f6b966960984d0e2dbd85da4d43 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigRootCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigRootCAServlet.java
@@ -66,7 +66,7 @@ public class ConfigRootCAServlet extends ConfigBaseServlet {
         }
     }
 
-    public Vector getProfiles() {
+    public Vector<CertInfoProfile> getProfiles() {
         IConfigStore config = CMS.getConfigStore();
         String instancePath = "";
 
@@ -75,7 +75,7 @@ public class ConfigRootCAServlet extends ConfigBaseServlet {
         } catch (EBaseException e) {
         }
         String p[] = { "caCert.profile" };
-        Vector profiles = new Vector();
+        Vector<CertInfoProfile> profiles = new Vector<CertInfoProfile>();
 
         for (int i = 0; i < p.length; i++) {
             try {
@@ -102,7 +102,7 @@ public class ConfigRootCAServlet extends ConfigBaseServlet {
         if (profile == null) {
             profile = "caCert.profile";
         }
-        Vector profiles = getProfiles();
+        Vector<CertInfoProfile> profiles = getProfiles();
 
         context.put("status", "display");
         context.put("profiles", profiles);
@@ -122,7 +122,7 @@ public class ConfigRootCAServlet extends ConfigBaseServlet {
         }
         context.put("status", "update");
         context.put("error", "");
-        Vector profiles = getProfiles();
+        Vector<CertInfoProfile> profiles = getProfiles();
 
         context.put("profiles", profiles);
         context.put("selected_profile_id", profile);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CreateSubsystemPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CreateSubsystemPanel.java
index 377043d52b87cf233c7bd9cf999c13a811c6939f..9e430e2fd8342051d858a37ec35c1bca25820325 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CreateSubsystemPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CreateSubsystemPanel.java
@@ -100,7 +100,6 @@ public class CreateSubsystemPanel extends WizardPanelBase {
         }
 
         String errorString = "";
-        String url = "";
 
         if (isPanelDone()) {
             try {
@@ -145,7 +144,7 @@ public class CreateSubsystemPanel extends WizardPanelBase {
         } catch (EBaseException e) {
         }
 
-        Vector v = getUrlListFromSecurityDomain(config, cstype, "SecurePort");
+        Vector<String> v = getUrlListFromSecurityDomain(config, cstype, "SecurePort");
 
         StringBuffer list = new StringBuffer();
         int size = v.size();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DisplayCertChainPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DisplayCertChainPanel.java
index 2f58317946fefa4e87b6cf5248d1788cce0f35be..c6db8a8b7efeffd5deeb94fb6bd738b4e2bd67b8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DisplayCertChainPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DisplayCertChainPanel.java
@@ -136,7 +136,7 @@ public class DisplayCertChainPanel extends WizardPanelBase {
         }
 
         int size = 0;
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         if (!certchain_size.equals("")) {
             try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
index 48875c4cc6c9c9bea5f5066e4be0cede3dda3ca7..663435cba41b1c395c95c37eb11deabdae951b57 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
@@ -259,11 +259,9 @@ public class DonePanel extends WizardPanelBase {
 
         // update security domain
         String sdtype = "";
-        String instanceName = "";
         String subsystemName = "";
         try {
             sdtype = cs.getString("securitydomain.select", "");
-            instanceName = cs.getString("instanceId", "");
             subsystemName = cs.getString("preop.subsystem.name", "");
         } catch (Exception e) {
         }
@@ -727,20 +725,15 @@ public class DonePanel extends WizardPanelBase {
         IConfigStore config = CMS.getConfigStore();
         String cahost = "";
         int caport = -1;
-        String sdhost = "";
-        int sdport = -1;
 
         try {
             cahost = config.getString("preop.ca.hostname", "");
             caport = config.getInteger("preop.ca.httpsport", -1);
-            sdhost = config.getString("securitydomain.host", "");
-            sdport = config.getInteger("securitydomain.httpseeport", -1);
         } catch (Exception e) {
         }
 
         String ocsphost = CMS.getAgentHost();
         int ocspport = Integer.parseInt(CMS.getAgentPort());
-        int ocspagentport = Integer.parseInt(CMS.getAgentPort());
         String session_id = CMS.getConfigSDSessionId();
         String content = "xmlOutput=true&sessionID=" + session_id + "&ocsp_host=" + ocsphost + "&ocsp_port=" + ocspport;
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
index 8575658ea18bcc67d6059cbbd7694a0be02aced8..e6810ff4277d9e794466d8759e5921125deec648 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
@@ -93,12 +93,7 @@ public class GetCookie extends CMSServlet {
 
         CMS.debug("GetCookie start");
         IAuthToken authToken = null;
-        int sessionMaxAge = SESSION_MAX_AGE;
         IConfigStore cs = CMS.getConfigStore();
-        try {
-            sessionMaxAge = cs.getInteger("sessionMaxAge", SESSION_MAX_AGE);
-        } catch (Exception e) {
-        }
 
         IArgBlock header = CMS.createArgBlock();
         IArgBlock ctx = CMS.createArgBlock();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportAdminCertPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportAdminCertPanel.java
index 36ced487974798992f4dd1bf8a4ff590a96dcadf..93c26cdf32fad0e5d33e5e47c8cf5f52e1c68a3f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportAdminCertPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportAdminCertPanel.java
@@ -97,11 +97,9 @@ public class ImportAdminCertPanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
 
         String type = "";
-        String subsystemtype = "";
 
         try {
             type = cs.getString("preop.ca.type", "");
-            subsystemtype = cs.getString("cs.type", "");
         } catch (Exception e) {
         }
 
@@ -188,13 +186,11 @@ public class ImportAdminCertPanel extends WizardPanelBase {
 
         String type = "";
         String subsystemtype = "";
-        String security_domain_type = "";
         String selected_hierarchy = "";
 
         try {
             type = cs.getString("preop.ca.type", "");
             subsystemtype = cs.getString("cs.type", "");
-            security_domain_type = cs.getString("securitydomain.select", "");
             selected_hierarchy = cs.getString("preop.hierarchy.select", "");
         } catch (Exception e) {
         }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportTransportCert.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportTransportCert.java
index 3b8f3b81f7cc75a10562a9d426dee2e248b16e1e..66ca8a8bf3a9c265f1fc4e07cf2fdf4613eeae05 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportTransportCert.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ImportTransportCert.java
@@ -122,7 +122,6 @@ public class ImportTransportCert extends CMSServlet {
 
         IConfigStore cs = CMS.getConfigStore();
 
-        String name = httpReq.getParameter("name");
         String certsString = httpReq.getParameter("certificate");
 
         try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
index f0447170efbe6f4728c6640b40e6b5ef51f44a31..916ab199bc61e82feacf1e9d820d70f80b6d8ba6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/NamePanel.java
@@ -287,7 +287,7 @@ public class NamePanel extends WizardPanelBase {
         }
 
         CMS.debug("NamePanel: Ready to get SSL EE HTTPS urls");
-        Vector v = getUrlListFromSecurityDomain(config, "CA", "SecurePort");
+        Vector<String> v = getUrlListFromSecurityDomain(config, "CA", "SecurePort");
         v.addElement("External CA");
         StringBuffer list = new StringBuffer();
         int size = v.size();
@@ -782,14 +782,12 @@ public class NamePanel extends WizardPanelBase {
 
         //if no hselect, then not CA
         if (hselect.equals("") || hselect.equals("join")) {
-            String select = null;
             String url = getURL(request, config);
 
             URL urlx = null;
 
             if (url.equals("External CA")) {
                 CMS.debug("NamePanel: external CA selected");
-                select = "otherca";
                 config.putString("preop.ca.type", "otherca");
                 if (subsystem != null) {
                     config.putString(PCERT_PREFIX + "signing.type", "remote");
@@ -801,7 +799,6 @@ public class NamePanel extends WizardPanelBase {
                 CMS.debug("NamePanel: update: this is the external CA.");
             } else {
                 CMS.debug("NamePanel: local CA selected");
-                select = "sdca";
                 // parse URL (CA1 - https://...)
                 url = url.substring(url.indexOf("https"));
                 config.putString("preop.ca.url", url);
@@ -833,7 +830,6 @@ public class NamePanel extends WizardPanelBase {
             while (c.hasMoreElements()) {
                 Cert cert = c.nextElement();
                 String ct = cert.getCertTag();
-                String tokenname = cert.getTokenname();
                 boolean enable = config.getBoolean(PCERT_PREFIX + ct + ".enable", true);
                 if (!enable)
                     continue;
